#ifndef DEVICETREE_H
#define DEVICETREE_H

#include <QObject>
#include <QString>
#include <QMap>
#include <QStringList>

typedef struct ServiceCustomer
{
    QString name;
    QString team;
    QString telephone;
    QString email;
    QString QRCode;
}SeviceCustomer;



//服务器信息配置类
class ServiceInfoConfig : public QObject
{
    Q_OBJECT
private:
    ServiceInfoConfig();
    ~ServiceInfoConfig();
    QString strServiceUrl;
    QString strServicePort;

    static ServiceInfoConfig*      g_pInstance;

public:
    static ServiceInfoConfig* getInstance();
    void loadConfigJsonFile();
    void onPraseJsonArray(const QByteArray &data);
    void writeJsonFile(const QByteArray &data);
    QString getServiceUrl();
    QString getServicePort();
};

//故障树客服信息配置类
class devicetree : public QObject
{
    Q_OBJECT
private:
    devicetree();

    ~devicetree();

    static devicetree*      _instance;

    QStringList              m_pSystem;

    QMap<QString, QStringList>  m_pSystemMap;

    QMap<QString, QStringList>  m_pBlockMap;

    QMap<QString, ServiceCustomer> m_pCustomers;

    void writeDeviceJsonFile(QByteArray );

    void writeCustomJsonFile();

public:
    static devicetree* getInstance();

    void onPraseJsonArray(QByteArray);

    void insertCustomerInfo(QString key, ServiceCustomer data);

    QString downQRCode(QString urlpath);

    void onPraseCustomerJsonArray(QByteArray);

    // 获取所有的System
    QStringList getSystemNames(void);

    // 获取所有block
    QStringList getBlockNames(QString);

    // 获取所有item
    QStringList getItemNames(QString);

    ServiceCustomer getCustomService(QString , QString, QString);

    void loadDeviceJsonFile();

    void loadCustomJsonFile();
signals:
    void sigUpdataDeviceTreeCombox();
};

#endif // DEVICETREE_H
