﻿/*
 * Copyright (C) 2020 ~ 2020 Deepin Technology Co., Ltd.
 *
 * Author:     zhanglei <zhanglei_cm@deepin.com>
 *
 * Maintainer: zhanglei <zhanglei_cm@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef NONETWORKWIDGET_H
#define NONETWORKWIDGET_H

#include <DWidget>
#include <DLabel>
#include <DSuggestButton>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QTimer> //  定时器对象

DWIDGET_USE_NAMESPACE

class NoNetworkWidget : public DWidget{
    Q_OBJECT

public:
    explicit NoNetworkWidget(QWidget *parent = nullptr);
    ~NoNetworkWidget();

    void resetValue();
private:
    void initUI();
    void setLabelText();

private:
    DLabel *head_picture;
    QImage *image;
    DLabel *lable;
    DSuggestButton *button;
    QVBoxLayout *layout;

private:
    QString strLabel;
    QTimer* ptime;

    int m_TimeNum;

protected:
    virtual void showEvent(QShowEvent *event);
    virtual void hideEvent(QHideEvent *event);

signals:
    void chagePage();

public slots:

    void slotCalTime();
};

#endif // NONETWORKWIDGET_H
