/*
 * Copyright (C) 2020 ~ 2020 Deepin Technology Co., Ltd.
 *
 * Author:     zhanglei <zhanglei_cm@deepin.com>
 *
 * Maintainer: zhanglei <zhanglei_cm@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "success.h"

SuccessWidget::SuccessWidget(QWidget *parent) :
    DWidget(parent)
{
    initUI();
    connect(button, &DSuggestButton::clicked, this,
            [=]()
    {
        emit changePage();
    });
}

SuccessWidget::~SuccessWidget()
{

}

void SuccessWidget::initUI()
{
    QFont ft;
    ft.setPointSize(9);
    QPalette color_lable;
    color_lable.setColor(QPalette::Text,QColor(82,106,127,255));
    this->setFixedSize(620,580);
    head_picture = new DLabel;
//    head_picture->setFixedSize(300,140);
    image = new QImage;
    image->load(":/images/success.svg");
    head_picture->setPixmap(QPixmap::fromImage(*image));
    head_picture->setScaledContents(true);
    success_lable  = new DLabel;
    QFont succ_ft("SourceHanSansSC-Bold,SourceHanSansSC",12,75);
    success_lable->setText(tr("Submission Successful"));
    success_lable->setFont(succ_ft);
    lable  = new DLabel;
    lable->setText(tr("Please pay attention to your email, we will send the progress and results there"));
    lable->setFont(ft);
    lable->setPalette(color_lable);
    lable->setAlignment(Qt::AlignHCenter);
    button = new DSuggestButton;
    button->setFixedSize(200,36);
    button->setText(tr("Done"));
    button->setFont(ft);
    layout = new QVBoxLayout;
    layout->addSpacing(75);
    layout->addWidget(head_picture,0,Qt::AlignCenter);
    layout->addSpacing(10);
    layout->addWidget(success_lable,0,Qt::AlignCenter);
    layout->addSpacing(10);
    layout->addWidget(lable,0,Qt::AlignCenter);
    layout->addSpacing(45);
    layout->addWidget(button,0,Qt::AlignCenter);
    layout->addSpacing(213);
    this->setLayout(layout);
}
