#ifndef CONTACTUS_H
#define CONTACTUS_H

#include <QObject>
#include <DWidget>
#include <QBoxLayout>
#include <QHBoxLayout>
#include <DLabel>
#include <DComboBox>
#include <DFrame>
#include <QIcon>
#include <QtNetwork/QNetworkAccessManager>
#include <QStringList>
#include <QVariantMap>
#include <QMap>
#include <QString>

DWIDGET_USE_NAMESPACE


class ContactUs : public DWidget
{
    Q_OBJECT
public:
    explicit ContactUs(QWidget *parent = nullptr);
    ~ContactUs();

    DFrame* createArchFrame();

    DFrame* createCardFrame();

private:
    void searchCustomerInfo(QString, QString, QString);
    void initComboBox();

private slots:
    void onSystemComboBoxIndexChanged(QString);
    void onBlockComboBoxIndexChanged(QString);
    void onItemComboBoxIndexChanged(QString);

public slots:
    //服务端返回客户信息
    void slotUpdateCustomInfo(QByteArray );

    void slotUpdateComboBox();

private:

    DComboBox *m_SystemComboBox;
    DComboBox *m_BlockComboBox;
    DComboBox *m_ItemComboBox;

    DLabel* m_pBelLabel;
    DLabel* m_pTeamLabel;
    DLabel* m_pTelLabel;
    DLabel* m_pTelTextLabel;
    DLabel* m_pEmailLabel;
    DLabel* m_pEmailTextLabel;

    DLabel* m_pQRCodeLabel;

    QString m_curSerchKey;
signals:
    void sigsearchCustomInfo(QByteArray);
};

#endif // CONTACTUS_H
