#include "introduction.h"
#include <QDesktopServices>
#include <QUrl>
#include <QDebug>

Introduction::Introduction(QWidget *parent)
    : DWidget(parent)
    ,strlnk("https://doc.chinauos.com")
{
    QFont ft;
    ft.setPointSize(9);

    //Banner图标
    QLabel  *head_picture = new QLabel;
    head_picture->setFixedSize(600,140);
    QImage *image = new QImage;
    image->load(":/images/banners.png");
    head_picture->setPixmap(QPixmap::fromImage(*image));
    head_picture->setScaledContents(true);

    //banner文本介绍Label
    DLabel  *Introduction_lable = new DLabel;
    QFont ft1;
    ft1.setPointSize(8);
    QPalette color_Introduction;
    color_Introduction.setColor(QPalette::Text,QColor(82,106,127,255));
    QString str = tr("Support covers remote service centers, on-site services, training services, customized services and consulting services. Learn more on the UOS official website.");
    Introduction_lable->setFont(ft1);
    Introduction_lable->setWordWrap(true);
    Introduction_lable->setText(str);
    Introduction_lable->setPalette(color_Introduction);

    //更多内容链接
    DCommandLinkButton  *cmdlnkbtn = new DCommandLinkButton(tr("text"));
    connect(cmdlnkbtn, &DCommandLinkButton::clicked, this,
            [=]()
    {
        QDesktopServices::openUrl(QUrl(strlnk));
    });

    cmdlnkbtn->setText(tr("More"));
    cmdlnkbtn->setFont(ft);

    //寻求技术支持与服务
    DLabel  *title_lable = new DLabel;
    title_lable->setText(tr("Users can get technical support by"));
    title_lable->setFont(ft);

    QString online_pathname = ":/images/online.svg";
    QString online_title = tr("Online Service");
    QString online_present = tr("Consult us by instant messaging or submitting an issue.");

    QString tel_pathname = ":/images/tel.svg";
    QString tel_title = tr("Telephone");
    QString tel_present = tr("Telephone support on 5*8 hours or 7*24 hours.");

    QString mail_pathname = ":/images/mail.svg";
    QString mail_title = tr("Email");
    QString mail_present = tr("Send emails to the specified official email address for help.");

    QString wechat_pathname = ":/images/wechat.svg";
    QString wechat_title = tr("WeChat Work");
    QString wechat_present = tr("Add WeChat Work account of the support team member via WeChat for online help.");

    QString self_pathname = ":/images/self.svg";
    QString self_title = tr("Self-Service");
    QString self_present = tr("Search and read the manual, document center and FAQ to resolve issues.");

    //在线咨询
    Module_Introduction *online_page = new Module_Introduction(this,online_pathname,online_title,online_present);
    online_page ->setBackgroundRole(DPalette::ItemBackground);

    //电话
    Module_Introduction *tel_page = new Module_Introduction(this,tel_pathname,tel_title,tel_present);
    tel_page->setBackgroundRole(DPalette::ItemBackground);

    //邮箱
    Module_Introduction *mail_page = new Module_Introduction(this,mail_pathname,mail_title,mail_present);
    mail_page->setBackgroundRole(DPalette::ItemBackground);

    //企业微信
    Module_Introduction *wechat_page = new Module_Introduction(this,wechat_pathname,wechat_title,wechat_present);
    wechat_page->setBackgroundRole(DPalette::ItemBackground);

    //自助支持
    Module_Introduction *self_page = new Module_Introduction(this,self_pathname,self_title,self_present);
    self_page->setBackgroundRole(DPalette::ItemBackground);

    QHBoxLayout *layout1 = new QHBoxLayout;
    layout1->addWidget(online_page);
    layout1->addSpacing(0);
    layout1->addWidget(tel_page);
    layout1->addSpacing(0);
    layout1->addWidget(mail_page);
    QHBoxLayout *layout = new QHBoxLayout;
    layout->addSpacing(103);
    layout->addWidget(wechat_page);
    layout->addSpacing(20);
    layout->addWidget(self_page);
    layout->addSpacing(103);
    QVBoxLayout *layout2 = new QVBoxLayout;
    layout2->addWidget(head_picture);
    layout2->addSpacing(5);
    layout2->addWidget(Introduction_lable);

    layout2->addSpacing(0);
    layout2->addWidget(cmdlnkbtn,0,Qt::AlignRight);
    layout2->addSpacing(0);
    layout2->addWidget(title_lable,0,Qt::AlignCenter);
    QVBoxLayout *layout3 = new QVBoxLayout;
    layout3->addLayout(layout2);
    layout3->addLayout(layout1);
    layout3->addSpacing(0);
    layout3->addLayout(layout);
    setLayout(layout3);
}

Introduction::~Introduction()
{

}

void Introduction::slotUpdateWebUrl(QString strUrl)
{
    if(!strUrl.isEmpty() && strUrl.startsWith("https"))
    {
        strlnk = strUrl;
    }else {
        strlnk = "https://www.uniontech.com/service";
    }
}

