#include "module_introduction.h"
#include <DPalette>

Module_Introduction::Module_Introduction(QWidget *parent,QString path_name,QString title_name,QString present_content) :
    DFrame(parent),PathName(path_name),TitleName(title_name),PresentContent(present_content)
{
    QFont ft;
    ft.setPointSize(9);
    this->setFixedSize(190,160);
    DLabel *picture = new DLabel;
    picture->setFixedSize(42,42);

    QImage image;
    image.load(PathName);
    picture->setPixmap(QPixmap::fromImage(image));
    picture->setScaledContents(true);
    DLabel *titlelable = new DLabel;
    titlelable->setFixedSize(80,20);

    titlelable->setText(TitleName);
    titlelable->setAlignment(Qt::AlignHCenter);
    titlelable->setFont(ft);


    DLabel *captionlable = new DLabel;
    captionlable->setFixedSize(170,51);

    QFont ft_caption;
    ft_caption.setPointSize(9);
    QPalette color_caption;
    color_caption.setColor(QPalette::Text,QColor(82,106,127,255));

    captionlable->setAttribute(Qt::WA_TranslucentBackground);
    captionlable->setText(PresentContent);
    captionlable->setWordWrap(true);
    captionlable->setAlignment(Qt::AlignHCenter);

    captionlable->setFont(ft_caption);
    captionlable->setPalette(color_caption);

    QVBoxLayout *layout = new QVBoxLayout;
    layout->addSpacing(10);
    layout->addWidget(picture,0,Qt::AlignCenter);
    layout->setSpacing(5);
    layout->addWidget(titlelable,0,Qt::AlignCenter);
    layout->setSpacing(5);
    layout->addWidget(captionlable,0,Qt::AlignCenter);
    layout->addSpacing(27);
    this->setLayout(layout);
}
