#include "functional_module.h"
#include <DCommandLinkButton>

Functional_Module::Functional_Module(QWidget *parent,QString path_name,QString link_name,QString link_address) :
    DFrame(parent),PathName(path_name),LinkName(link_name),LinkAddress(link_address)
{
    QFont ft;
    ft.setPointSize(9);

    this->setFixedSize(190,160);
    QLabel *picture = new QLabel;
    picture->setFixedSize(84,84);

    QImage image;
    image.load(PathName);
    picture->setPixmap(QPixmap::fromImage(image));
    picture->setScaledContents(true);
	
	DCommandLinkButton  *cmdlnkbtn = new DCommandLinkButton(tr("text"));
    cmdlnkbtn->setText(LinkName);
    cmdlnkbtn->setFont(ft);
    connect(cmdlnkbtn, &DCommandLinkButton::clicked, this,
            [=]()
    {
        QDesktopServices::openUrl(QUrl(LinkAddress));
    });

    QVBoxLayout *layout = new QVBoxLayout;
    layout->addSpacing(25);
    layout->addWidget(picture,0,Qt::AlignCenter);
    layout->addSpacing(10);
    layout->addWidget(cmdlnkbtn,0,Qt::AlignCenter);
    layout->addSpacing(10);
    this->setLayout(layout);
}
