#include "open_helpmanual.h"
#include <QDBusInterface>
#include <QDBusReply>
#include <QDebug>


Open_HelpManual::Open_HelpManual(QWidget *parent) :
    DFrame(parent)
{
    QFont ft;
    ft.setPointSize(9);

    this->setFixedSize(190,160);
    DLabel *picture = new DLabel;
    picture->setFixedSize(84,84);
    picture->setStyleSheet("background:transparent");
    QImage *image = new QImage;
    image->load(":/images/help.svg");
    picture->setPixmap(QPixmap::fromImage(*image));
    picture->setScaledContents(true);

    DCommandLinkButton  *m_cmdlnkBtn = new DCommandLinkButton("text");

    m_cmdlnkBtn->setFont(ft);
    m_cmdlnkBtn->setText(tr("Manual"));
    connect(m_cmdlnkBtn, &DCommandLinkButton::clicked, this,
            [=]()
    {
        QDBusInterface manual("com.deepin.Manual.Open",
                                 "/com/deepin/Manual/Open",
                                 "com.deepin.Manual.Open",
                                 QDBusConnection::sessionBus());
        QDBusReply<void> reply = manual.call("Open","uos-service-support");
            if (reply.isValid())  {
                qDebug() << "call com.deepin.Manual.Open success";
                return;
            }
            qDebug() << "call com.deepin.Manual.Open failed" << reply.error();
    });


    QVBoxLayout *layout = new QVBoxLayout;
    layout->addSpacing(25);
    layout->addWidget(picture,0,Qt::AlignCenter);
    layout->addSpacing(10);
    layout->addWidget(m_cmdlnkBtn,0,Qt::AlignCenter);
    layout->addSpacing(10);
    this->setLayout(layout);
}
