#include "self_support.h"
#include <QDesktopServices>
#include <QUrl>
#include <DCommandLinkButton>
#include <QDebug>

Self_Support::Self_Support(QWidget *parent)
    : DWidget(parent)
    ,strlnk("https://doc.chinauos.com")
{
    QFont ft;
    ft.setPointSize(9);

    DLabel  *head_picture = new DLabel;
    head_picture->setFixedSize(600,140);
    QImage image;
    image.load(":/images/banners.png");
    head_picture->setPixmap(QPixmap::fromImage(image));
    head_picture->setScaledContents(true);

    DLabel  *Introduction_lable = new DLabel;
    QFont ft1;
    ft1.setPointSize(8);
    QPalette color_Introduction;
    color_Introduction.setColor(QPalette::Text,QColor(82,106,127,255));
    QString str = tr("Support covers remote service centers, on-site services, training services, customized services and consulting services. Learn more on the UOS official website.");
    Introduction_lable->setFont(ft1);
    Introduction_lable->setWordWrap(true);
    Introduction_lable->setText(str);
    Introduction_lable->setPalette(color_Introduction);

    DCommandLinkButton  *cmdlnkbtn = new DCommandLinkButton(tr("text"));
    cmdlnkbtn->setText(tr("More"));
    cmdlnkbtn->setFont(ft);
    connect(cmdlnkbtn, &DCommandLinkButton::clicked, this,
            [=]()
    {
        QDesktopServices::openUrl(QUrl(strlnk));
    });

    DLabel  *title_lable = new DLabel;

    title_lable->setText(tr("Search and read the manual, document center and FAQ to resolve issues."));
    title_lable->setFont(ft);
	
    QString doc_pathname = ":/images/doc.svg";
    QString doc_name = tr("Document Center");
    QString doc_linkaddress = "https://doc.chinauos.com";
    QString faq_pathname = ":/images/faq.svg";
    QString faq_name = tr("FAQ");
    QString faq_linkaddress = "https://doc.chinauos.com";

    Functional_Module *doc = new Functional_Module(this,doc_pathname,doc_name,doc_linkaddress);
    doc->setBackgroundRole(DPalette::ItemBackground);


    Functional_Module *faq = new Functional_Module(this,faq_pathname,faq_name,faq_linkaddress);
    faq->setBackgroundRole(DPalette::ItemBackground);


    Open_HelpManual *help = new Open_HelpManual;
    help->setBackgroundRole(DPalette::ItemBackground);


    QHBoxLayout *horizontal_layout = new QHBoxLayout;
    horizontal_layout->addWidget(doc);
    horizontal_layout->addSpacing(10);
    horizontal_layout->addWidget(faq);
    horizontal_layout->addSpacing(10);
    horizontal_layout->addWidget(help);

    QVBoxLayout *vertical_layout = new QVBoxLayout;
    vertical_layout->addWidget(head_picture);
    vertical_layout->addSpacing(18);
    vertical_layout->addWidget(Introduction_lable);
    vertical_layout->addSpacing(1);
    vertical_layout->addWidget(cmdlnkbtn,0,Qt::AlignRight);
    vertical_layout->addSpacing(12);
    vertical_layout->addWidget(title_lable,0,Qt::AlignCenter);

    QVBoxLayout *layout = new QVBoxLayout;
    layout->addLayout(vertical_layout);
    layout->addSpacing(10);
    layout->addLayout(horizontal_layout);
    layout->addSpacing(144);
    setLayout(layout);
}

Self_Support::~Self_Support()
{

}

void Self_Support::slotUpdateWebUrl(QString strUrl)
{
    if(!strUrl.isEmpty() && strUrl.startsWith("https"))
    {
        strlnk = strUrl;
    }else {
        strlnk = "https://www.uniontech.com/service";
    }
}
