QT += core gui dbus network  websockets

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

APPNAME=uos-service-support
TARGET = $${APPNAME}
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dtkwidget

SOURCES += \
        main.cpp \
        mainwindow.cpp\
        clientsocket.cpp \
    devicetree.cpp

RESOURCES += resources.qrc

HEADERS += \
        mainwindow.h\
        servicevandsupportdbus.h\
        clientsocket.h\
        unit.h \
    devicetree.h

include ($$PWD/modules/introduction/introduction.pri)
include ($$PWD/modules/messageconsultation/messageconsultation.pri)
include ($$PWD/modules/customerchat/customerchat.pri)
include ($$PWD/modules/contactus/contactus.pri)
include ($$PWD/modules/self_support/self_support.pri)
include ($$PWD/modules/commonwidget/commonwidget.pri)


DISTFILES += \
    readMe.txt \
    data/uos-devicetree.json

#TRANSLATIONS = $$PWD/translations/Translation.ts

DISTFILES += translate_generation.sh

TRANSLATIONS += $$PWD/translations/$${APPNAME}.ts \
                $$PWD/translations/$${APPNAME}_zh_CN.ts

isEmpty(PREFIX) {
    PREFIX = /usr
}

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

target.path = $${PREFIX}/bin/

#工程桌面服务路径
desktop.files = ./data/uos-service-support.desktop
desktop.path = $${PREFIX}/share/applications/

#系统调用dbus接口路径
service.files = $$PWD/dbus/com.deepin.dde.ServiceAndSupport.service
service.path = $${PREFIX}/share/dbus-1/services

install_docs.files = ./doc/*
install_docs.path = $${PREFIX}/share/dman/uos-service-support

#应用程序图标路径
icon.files = $$PWD/images/uos-service-support.svg
icon.path = /usr/share/icons/hicolor/scalable/apps/

qm_files.files = $$PWD/translations/*.qm
qm_files.path = $${PREFIX}/share/$${APPNAME}/translations

#工程配置文件路径
config.files = $$PWD/data/service_support_config.json
config.path = $${PREFIX}/share/$${APPNAME}/ini/

dconfig.files = $$PWD/data/uos-devicetree.json
dconfig.path = $${PREFIX}/share/$${APPNAME}/ini/

INSTALLS += target desktop service install_docs icon config dconfig qm_files

system($$DTK_SETTINGS -o settings_translation.cpp $$PWD/dt-settings.json)
